Company

Set Company Profile

PUT
/v1/company/profile
AuthorizationBearer <token>

API key minted via POST /v1/api-keys (format mk_live_...)

In: header

namestring
Length1 <= length <= 80
descriptionstring
Lengthlength <= 2000
useCasesarray<string>
Itemsitems <= 10
xAccountstring|null
Lengthlength <= 50
linkedinAccountstring|null
Lengthlength <= 100

Response Body

application/json

application/json

curl -X PUT "https://api.mentio.dev/v1/company/profile" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "description": "string",    "useCases": [      "string"    ],    "xAccount": "string",    "linkedinAccount": "string"  }'
{
  "name": "string",
  "description": "string",
  "useCases": [
    "string"
  ],
  "xAccount": "string",
  "linkedinAccount": "string"
}
{
  "error": {
    "code": "string",
    "message": "string"
  }
}